%define modname lxml

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        3.0.1
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/lxml/%{modname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  libxml2-devel libxslt-devel python-pyrex
BuildRequires:  python-setuptools

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

#%package -n python3-%{modname}
#Summary:	A Pythonic binding for the libxml2 and libxslt libraries
#Group:		Development/Python
#BuildRequires:  python3-devel
#BuildRequires:  python3-setuptools

#%description -n python3-%{modname}
#lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
#the ElementTree API as much as possible, building it on top of the native
#libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
#functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
%description docs
This package provides the documentation for %{name}, e.g. the API as html.

%prep
%setup -q -c

mv %{modname}-%{version} python2
pushd python2

chmod a-x doc/rest2html.py
%{__sed} -i 's/\r//' doc/s5/ui/default/print.css \
    doc/s5/ep2008/atom.rng \
    doc/s5/ui/default/iepngfix.htc
popd
#cp -r python2 python3

%build
pushd python2
CFLAGS="%{optflags}" %{__python} setup.py build 
popd

#pushd python3
#CFLAGS="%{optflags}" python3 setup.py build 
#popd

%install
pushd python2
python setup.py install --root=%{buildroot}
popd

#pushd python3
#python3 setup.py install --root=%{buildroot} 
#popd

%files
%doc python2/LICENSES.txt python2/PKG-INFO python2/CREDITS.txt python2/CHANGES.txt
%{python_sitearch}/lxml*

%files docs
%doc python2/doc/*

#%files -n python3-lxml
#%doc python3/LICENSES.txt python3/PKG-INFO python3/CREDITS.txt python3/CHANGES.txt
#%{python3_sitearch}/lxml*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 379081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 philippem <philippem> 3.0.1-1.mga3
+ Revision: 322181
- Update to 3.0.1

* Sat Sep 29 2012 philippem <philippem> 2.3.6-1.mga3
+ Revision: 300219
- new version 2.3.6

* Sat Sep 08 2012 philippem <philippem> 2.3.5-1.mga3
+ Revision: 290055
- New upstream release 2.3.5

* Sun Jan 15 2012 tv <tv> 2.3.3-2.mga2
+ Revision: 196274
- skip huge doc

* Sun Jan 08 2012 philippem <philippem> 2.3.3-1.mga2
+ Revision: 193263
- Update to 2.3.3.

* Fri Nov 18 2011 philippem <philippem> 2.3.2-1.mga2
+ Revision: 168679
- Update to 2.3.2

* Wed Oct 26 2011 philippem <philippem> 2.3.1-1.mga2
+ Revision: 158300
- new upstream 2.3.1

* Mon Jul 04 2011 ahmad <ahmad> 2.3-1.mga2
+ Revision: 118022
- Update to 2.3

* Thu Feb 10 2011 dmorgan <dmorgan> 2.2.8-2.mga1
+ Revision: 49795
- Fix buildrequires
- Fix buildrequire
- imported package python-lxml

